complexType "ReturnSwapAmount"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 6 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (currency | determinationMethod | currencyReference)?, referenceAmount, calculationDates?, cashSettlement?
</...>

Content Model Elements (6):

  calculationDates (defined in LegAmount complexType),
  cashSettlement (in amount in returnLeg),
  currency (defined in CurrencyAndDeterminationMethod.model group),
  currencyReference,
  determinationMethod (defined in CurrencyAndDeterminationMethod.model group),
  referenceAmount

All Direct / Indirect Based Elements (1):

  amount (in returnLeg)

Known Usage Locations

- As direct type of elements (1):
  amount (in returnLeg)

Annotation
Specifies, in relation to each Payment Date, the amount to which the Payment Date relates. For Equity Swaps this element is equivalent to the Equity Amount term as defined in the ISDA 2002 Equity Derivatives Definitions.
Type Definition Detail

Type Derivation Tree LegAmount (extension) ReturnSwapAmount

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ReturnSwapAmount"> <xsd:complexContent> <xsd:extension base="LegAmount"> <xsd:sequence> <xsd:element minOccurs="0" name="cashSettlement" type="xsd:boolean"/> <!--View Generation: SKIPPED - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/6)
cashSettlement

  Type: | xsd:boolean, predefined, simple content

  If true, then cash settlement is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlement" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.